<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:regClasPrat="http://insiel.it/protocollo/schemixsd/getRegistriClassPrat"
xmlns:xs="http://www.w3.org/2001/XMLSchema"
xmlns:tgen="http://insiel.it/protocollo/schemixsd/tipiGenerali"
targetNamespace="http://insiel.it/protocollo/schemixsd/getRegistriClassPrat"
elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:import namespace="http://insiel.it/protocollo/schemixsd/tipiGenerali" schemaLocation="tipiGenerali.xsd"/>
	<xs:element name="RegistriClassPratRequest">
		<xs:complexType>
			<xs:sequence>
				<xs:element name="utente" type="tgen:Utente"/>
				<xs:element name="filtro" type="regClasPrat:RegistroDaClassifica" minOccurs="0" maxOccurs="1"/>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
	<xs:element name="RegistriClassPratResponse">
		<xs:complexType>
			<xs:choice>
				<xs:element name="registri" type="regClasPrat:RegistroDaClassificaView" minOccurs="0" maxOccurs="unbounded"/>
				<xs:element name="errore" type="tgen:Errore"/>
			</xs:choice>
			<xs:attribute name="esito" type="xs:boolean" use="required"/>
		</xs:complexType>
	</xs:element>
	<xs:complexType name="RegistroDaClassificaView">
		<xs:complexContent>
			<xs:extension base="regClasPrat:RegistroDaClassifica">
				<xs:sequence>
					<xs:element name="descrizioneUfficio" type="xs:string"/>
					<xs:element name="descrizioneRegistro" type="xs:string"/>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="RegistroDaClassifica">
		<xs:sequence>
			<xs:element name="codiceUfficio" type="xs:string" minOccurs="0"/>
			<xs:element name="codiceRegistro" type="xs:string" minOccurs="0"/>
			<xs:element name="codiceRegistroLiv1" type="xs:string" minOccurs="0"/>
			<xs:element name="codiceRegistroLiv2" type="xs:string" minOccurs="0"/>
			<xs:element name="codiceRegistroLiv3" type="xs:string" minOccurs="0"/>
			<xs:element name="codiceRegistroLiv4" type="xs:string" minOccurs="0"/>
			<xs:element name="codiceRegistroLiv5" type="xs:string" minOccurs="0"/>
			<xs:element name="codiceRegistroLiv6" type="xs:string" minOccurs="0"/>
			<xs:element name="codiceRegistroLiv7" type="xs:string" minOccurs="0"/>
			<xs:element name="codiceRegistroLiv8" type="xs:string" minOccurs="0"/>
		</xs:sequence>
	</xs:complexType>
</xs:schema>
